=== debian/changelog ===
can-utils (0.0+git20140227-1) unstable; urgency=low

  * Initial package release (Closes: #568303).
    Thanks to Markus Becker <mab@comnets.uni-bremen.de> and
    Uwe Kleine-König <u.kleine-koenig@pengutronix.de> for contribution.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 05 Mar 2014 18:12:33 +0400
