=== debian/control ===
Source: can-utils
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 3.9.5
Homepage: https://gitorious.org/linux-can
Vcs-Git: git://git.debian.org/collab-maint/can-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/can-utils.git;a=summary

Package: can-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SocketCAN userspace utilities and tools
 CAN is a message-based network protocol designed for vehicles originally
 initially created by Robert Bosch GmbH. SocketCAN is a set of open source CAN
 drivers and a networking stack contributed by Volkswagen Research to the
 Linux kernel.
 .
 This package contains some userspace utilities for Linux SocketCAN subsystem:
 asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,
 cangen, cangw, canlogserver, canplayer, cansend, cansniffer, isotpdump,
 isotprecv, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc, log2long,
 slcan_attach, slcand and slcanpty.
