## can-utils 0.0+git20141123

=== debian/changelog ===
can-utils (0.0+git20141123-1) unstable; urgency=medium

  * Update to upstream git 20141123.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 07 Dec 2014 01:46:30 +0300
