## can-utils 0.0+git20150204

=== debian/changelog ===
can-utils (0.0+git20150204-1) unstable; urgency=medium

  * Update to upstream git 20150204.
  * debian/copyright: Add copyright for isotpperf.c.
  * debian/copyright: Add missing disclaimer to BSD-3-clause license.
  * debian/control: Bump standard's version: no changes needed.
  * debian/control: Vcs-*: Fix links to alioth.
  * debian/control: Add isotpperf to description.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Feb 2015 12:12:20 +0300
