=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://gitorious.org/linux-can
-Vcs-Git: git://git.debian.org/collab-maint/can-utils.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/can-utils.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
 
 Package: can-utils
 Architecture: linux-any
@@ -20,5 +20,5 @@
  This package contains some userspace utilities for Linux SocketCAN subsystem:
  asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,
  cangen, cangw, canlogserver, canplayer, cansend, cansniffer, isotpdump,
- isotprecv, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc, log2long,
- slcan_attach, slcand and slcanpty.
+ isotprecv, isotpperf, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc,
+ log2long, slcan_attach, slcand and slcanpty.
