## can-utils 0.0+git20150507

=== debian/changelog ===
can-utils (0.0+git20150507-1) unstable; urgency=medium

  * Update to upstream git 20150507.
  * Updated upsteam's urls to github.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 27 May 2015 02:55:05 +0300
