=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
 Standards-Version: 3.9.6
-Homepage: https://gitorious.org/linux-can
+Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
