## can-utils 0.0+git20150902

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	    -DPF_CAN=29 \
 	    -DAF_CAN=PF_CAN
 
-PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver
+PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver isotpperf
 PROGRAMS_CANGW = cangw
 PROGRAMS_SLCAN = slcan_attach slcand
 PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\
