=== debian/changelog ===
can-utils (0.0+git20150902-1) unstable; urgency=medium

  * Update to upstream git 20150902.
  * debian/copyright: Add README.md.
  * debian/control: Fix spelling.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 14 Sep 2015 15:21:18 +0300
