=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SocketCAN userspace utilities and tools
  CAN is a message-based network protocol designed for vehicles originally
- initially created by Robert Bosch GmbH. SocketCAN is a set of open source CAN
- drivers and a networking stack contributed by Volkswagen Research to the
- Linux kernel.
+ created by Robert Bosch GmbH. SocketCAN is a set of open source CAN drivers
+ and a networking stack contributed by Volkswagen Research to the Linux kernel.
  .
  This package contains some userspace utilities for Linux SocketCAN subsystem:
  asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,
