## can-utils 0.0+git20160831

=== debian/changelog ===
can-utils (0.0+git20160831-1) unstable; urgency=medium

  * Update to upstream git 20160831.
  * debian/rules: Remove config.log on clean.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 19 Sep 2016 16:36:37 +0300
