## can-utils 0.0+git20161220

=== debian/changelog ===
can-utils (0.0+git20161220-1) unstable; urgency=medium

  * Update to upstream git 20161220.
  * README.Debian: Typo fixed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 05 Jan 2017 12:10:44 +0300
