=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
