=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh-clean:
+	rm -rf config.log
+	dh-clean $@
