## can-utils 0.0+git20170830

=== debian/changelog ===
can-utils (0.0+git20170830-1) unstable; urgency=medium

  * Update to upstream git 20170830.
  * debian/control: Update description.
  * Bump Standards-Version to 4.1.1 (no additional changes needed).
  * debian/docs: Install README.md.
  * debian/.gitignore: Add debhelper-build-stamp.
  * debian/README.Debian: Remove link to dead berlios SVN.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Oct 2017 14:08:46 +0300
