=== debian/control ===
Source: can-utils
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 4.1.1
Homepage: https://github.com/linux-can/can-utils
Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary

Package: can-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SocketCAN userspace utilities and tools
 CAN is a message-based network protocol designed for vehicles originally
 created by Robert Bosch GmbH. SocketCAN is a set of open source CAN drivers
 and a networking stack contributed by Volkswagen Research to the Linux kernel.
 .
 This package contains some userspace utilities for Linux SocketCAN subsystem.
 .
 Basic tools to display, record, generate and replay CAN traffic:
 candump, canplayer, cansend, cangen, cansniffer.
 CAN access via IP sockets: canlogserver, bcmserver, socketcand.
 CAN in-kernel gateway configuration: cangw.
 CAN bus measurement and testing: canbusload, can-calc-bit-timing, canfdtest.
 ISO-TP (ISO 15765-2 2016) tools: isotpsend, isotprecv, isotpsniffer,
 isotpdump, isotpserver, isotpperf, isotptun.
 CAN log file converters: asc2log, log2asc, log2long.
 CAN Serial Line Discipline configuration (for slcan driver):
 slcan_attach, slcand, slcanpty.
