## can-utils 2018.02.0

=== Makefile ===
--- 
+++ 
@@ -43,24 +43,26 @@
 
 MAKEFLAGS = -k
 
-CFLAGS    = -O2 -Wall -Wno-parentheses \
-	    -fno-strict-aliasing
+CFLAGS    = -O2 -Wall -Wno-parentheses
 
 CPPFLAGS += -Iinclude \
 	    -D_FILE_OFFSET_BITS=64 \
 	    -DSO_RXQ_OVFL=40 \
 	    -DPF_CAN=29 \
-	    -DAF_CAN=PF_CAN
+	    -DAF_CAN=PF_CAN \
+	    -D_GNU_SOURCE
 
 PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver isotpperf
 PROGRAMS_CANGW = cangw
 PROGRAMS_SLCAN = slcan_attach slcand
+PROGRAMS_J1939 = jacd jspy jsr testj1939
 PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\
 	   log2long log2asc asc2log\
 	   canlogserver bcmserver\
 	   $(PROGRAMS_ISOTP)\
 	   $(PROGRAMS_CANGW)\
 	   $(PROGRAMS_SLCAN)\
+	   $(PROGRAMS_J1939)\
 	   slcanpty canfdtest
 
 all: $(PROGRAMS)
@@ -73,7 +75,7 @@
 	cp -f $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 
 distclean:
-	rm -f $(PROGRAMS) *.o *~
+	rm -f $(PROGRAMS) $(LIBRARIES) *.o *~
 
 cansend.o:	lib.h
 cangen.o:	lib.h
@@ -84,6 +86,10 @@
 log2long.o:	lib.h
 log2asc.o:	lib.h
 asc2log.o:	lib.h
+jacd.o:		libj1939.h
+jspy.o:		libj1939.h
+jsr.o:		libj1939.h
+testj1939.o:	libj1939.h
 canframelen.o:  canframelen.h
 
 cansend:	cansend.o	lib.o
@@ -95,3 +101,7 @@
 log2asc:	log2asc.o	lib.o
 asc2log:	asc2log.o	lib.o
 canbusload:	canbusload.o	canframelen.o
+jacd:		jacd.o		libj1939.o
+jspy:		jspy.o		libj1939.o
+jsr:		jsr.o		libj1939.o
+testj1939:	testj1939.o	libj1939.o
