=== debian/changelog ===
can-utils (2018.02.0-1) unstable; urgency=medium

  * New upstream release 2018.02.0 (Closes: #890090)
  * debian/gbp.conf: Upstream now uses tags.
  * Add debian/watch.
  * debian/copyright: Updated to v2018.02.0
  * debian/patches: Patchset updated to last upstream release.
  * debian/control, debian/rules: Ship new binary testj1939.
  * debian/docs: Install all .md files. (New in this release are can-j1939
    related.)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 11 Feb 2018 22:16:49 +0300

can-utils (0.0+git20180118-1) unstable; urgency=medium

  * Update to upstream git 20180118.
  * debian/copyright: Add records for new files.
  * debian/copyright: Reorder records.
  * debian/control: Mention new SAE J1939-related tools in description.
  * debian/patches: Add various patches to make help/usage output compatible
    with help2man.
  * Build and install manpages using help2man.
  * debian/control: Move repository to salsa.
  * Bump Standards-Version to 4.1.3 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 11 Feb 2018 20:31:09 +0300
