=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, help2man
+Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
-Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/can-utils.git
+Vcs-Browser: https://salsa.debian.org/debian/can-utils.git
 
 Package: can-utils
 Architecture: linux-any
@@ -28,3 +28,4 @@
  CAN log file converters: asc2log, log2asc, log2long.
  CAN Serial Line Discipline configuration (for slcan driver):
  slcan_attach, slcand, slcanpty.
+ SAE J1939 tools and demo: jacd, jspy, jsr, testj1939.
