=== debian/changelog ===
can-utils (2020.02.04-3) unstable; urgency=medium

  * Add debian/NEWS about j* rename.
  * Update d/rules and d/control according to renames.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Apr 2020 08:41:24 +0300

can-utils (2020.02.04-2) unstable; urgency=medium

  * Add debian/patches/0001-Rename-j-to-j1939-1.patch (Closes: #956530).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Apr 2020 08:15:57 +0300

can-utils (2020.02.04-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Alexander GQ Gerasiov ]
  * New upstream release (Closes: #956314)
  * debian/patches: Updated to new version.
  * Add 0000-debian-build-fixup.patch: search for headers in system first.
  * d/control, d/rules: New binary jcat.
  * d/control: Bump debhelper version.
  * Add 0000-remove-readme-logo.patch: Remove external image from README.md.
  * d/copyright: Updated according to new version changes.
  * d/control: Remove useless dh-autoreconf B-D.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 11 Apr 2020 16:26:41 +0300
