=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, help2man
+Build-Depends: debhelper-compat (= 12), help2man
 Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: https://salsa.debian.org/debian/can-utils.git
@@ -28,4 +28,4 @@
  CAN log file converters: asc2log, log2asc, log2long.
  CAN Serial Line Discipline configuration (for slcan driver):
  slcan_attach, slcand, slcanpty.
- SAE J1939 tools and demo: jacd, jspy, jsr, testj1939.
+ SAE J1939 tools and demo: j1939acd, j1939cat, j1939spy, j1939sr, testj1939.
