=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PROGRAMS = asc2log canbusload can-calc-bit-timing candump canfdtest \
 cangen cangw canlogserver canplayer cansend cansniffer \
 isotpdump isotpperf isotprecv isotpsend isotpserver isotpsniffer isotptun \
-jacd jspy jsr testj1939 \
+j1939acd j1939cat j1939spy j1939sr testj1939 \
 log2asc \
 slcan_attach slcand slcanpty
