## can-utils 2020.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 project(can-utils LANGUAGES C)
 
+include (CheckSymbolExists)
 include (GNUInstallDirs)
 
 if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
-if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+check_symbol_exists(__GNU_LIBRARY__ "features.h" _GNU_SOURCE)
+if(_GNU_SOURCE)
   add_definitions(-D_GNU_SOURCE)
 endif()
 
@@ -31,15 +33,16 @@
     canlogserver
     canplayer
     cansend
+    cansequence
     log2asc
     log2long
 )
 
 set(PROGRAMS_J1939
-    jacd
-    jcat
-    jspy
-    jsr
+    j1939acd
+    j1939cat
+    j1939spy
+    j1939sr
     testj1939
 )
