=== debian/changelog ===
can-utils (2020.11.0-1) unstable; urgency=medium

  * New upstream release 2020.11.0
  * Remove 0001-Rename-j-to-j1939-1.patch and various
    "Reformat-help-usage-output" patches: Applied upstream.
  * d/control,rules,copyright: New tool cansequence.
  * d/copyright: j* sources was renamed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 26 Dec 2020 20:50:40 +0300
