=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  This package contains some userspace utilities for Linux SocketCAN subsystem.
  .
  Basic tools to display, record, generate and replay CAN traffic:
- candump, canplayer, cansend, cangen, cansniffer.
+ candump, canplayer, cansend, cangen, cansniffer, cansequence.
  CAN access via IP sockets: canlogserver, bcmserver, socketcand.
  CAN in-kernel gateway configuration: cangw.
  CAN bus measurement and testing: canbusload, can-calc-bit-timing, canfdtest.
