=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 #bcmserver and log2long do not have -? option
 PROGRAMS = asc2log canbusload can-calc-bit-timing candump canfdtest \
-cangen cangw canlogserver canplayer cansend cansniffer \
+cangen cangw canlogserver canplayer cansend cansniffer cansequence \
 isotpdump isotpperf isotprecv isotpsend isotpserver isotpsniffer isotptun \
 j1939acd j1939cat j1939spy j1939sr testj1939 \
 log2asc \
