## can-utils 2023.03

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,7 @@
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
-check_symbol_exists(__GNU_LIBRARY__ "features.h" _GNU_SOURCE)
-if(_GNU_SOURCE)
-  add_definitions(-D_GNU_SOURCE)
-endif()
+add_definitions(-D_GNU_SOURCE)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-parentheses")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
@@ -21,6 +18,9 @@
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DAF_CAN=PF_CAN")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DN_SLCAN=17")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSCM_TIMESTAMPING_OPT_STATS=54")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCLOCK_TAI=11")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSO_TXTIME=61")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSCM_TXTIME=SO_TXTIME")
 
 include_directories (.)
 include_directories (./include)
@@ -36,6 +36,7 @@
     cansequence
     log2asc
     log2long
+    slcanpty
 )
 
 set(PROGRAMS_J1939
@@ -49,7 +50,6 @@
 set(PROGRAMS
     ${PROGRAMS_CANLIB}
     bcmserver
-    can-calc-bit-timing
     canfdtest
     cangw
     cansniffer
@@ -62,7 +62,17 @@
     isotptun
     slcan_attach
     slcand
-    slcanpty
+)
+
+add_executable(can-calc-bit-timing
+    calc-bit-timing/can-calc-bit-timing.c
+)
+
+add_executable(mcp251xfd-dump
+    mcp251xfd/mcp251xfd-dev-coredump.c
+    mcp251xfd/mcp251xfd-dump.c
+    mcp251xfd/mcp251xfd-main.c
+    mcp251xfd/mcp251xfd-regmap.c
 )
 
 if(NOT ANDROID)
