=== Makefile ===
--- 
+++ 
@@ -46,11 +46,15 @@
 CFLAGS := -O2 -Wall -Wno-parentheses
 
 CPPFLAGS += \
+	-I. \
 	-Iinclude \
 	-DAF_CAN=PF_CAN \
 	-DPF_CAN=29 \
 	-DSO_RXQ_OVFL=40 \
 	-DSCM_TIMESTAMPING_OPT_STATS=54 \
+	-DCLOCK_TAI=11 \
+	-DSO_TXTIME=61 \
+	-DSCM_TXTIME=SO_TXTIME \
 	-D_FILE_OFFSET_BITS=64 \
 	-D_GNU_SOURCE
 
@@ -96,30 +100,30 @@
 	cansniffer \
 	log2asc \
 	log2long \
+	mcp251xfd-dump \
 	slcanpty
 
 all: $(PROGRAMS)
 
 clean:
-	rm -f $(PROGRAMS) *.o
+	rm -f $(PROGRAMS) *.o mcp251xfd/*.o
 
 install:
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	cp -f $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 
-distclean:
-	rm -f $(PROGRAMS) $(LIBRARIES) *.o *~
+distclean: clean
+	rm -f $(PROGRAMS) $(LIBRARIES) *~
 
 asc2log.o:	lib.h
-canbusload.o:	lib.h
 candump.o:	lib.h
 cangen.o:	lib.h
 canlogserver.o:	lib.h
 canplayer.o:	lib.h
 cansend.o:	lib.h
-cansequence.o:	lib.h
 log2asc.o:	lib.h
 log2long.o:	lib.h
+slcanpty.o:	lib.h
 j1939acd.o:	libj1939.h
 j1939cat.o:	libj1939.h
 j1939spy.o:	libj1939.h
@@ -136,9 +140,16 @@
 cansequence:	cansequence.o	lib.o
 log2asc:	log2asc.o	lib.o
 log2long:	log2long.o	lib.o
+slcanpty:	slcanpty.o	lib.o
 j1939acd:	j1939acd.o	libj1939.o
 j1939cat:	j1939cat.o	libj1939.o
 j1939spy:	j1939spy.o	libj1939.o
 j1939sr:	j1939sr.o	libj1939.o
 testj1939:	testj1939.o	libj1939.o
 canbusload:	canbusload.o	canframelen.o
+
+can-calc-bit-timing: calc-bit-timing/can-calc-bit-timing.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@
+
+mcp251xfd-dump: mcp251xfd/mcp251xfd-dev-coredump.o mcp251xfd/mcp251xfd-dump.o mcp251xfd/mcp251xfd-main.o mcp251xfd/mcp251xfd-regmap.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@
