=== debian/changelog ===
can-utils (2023.03-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use canonical URL in Vcs-Browser.

  [Alexander GQ Gerasiov]
  * New upstream release 2023.03 (Closes: #998877)
  * Remove 0000-debian-build-fixup.patch
  * Add 0000-do-not-use-bundled-include.patch
  * Add 0000-do-not-build-mcp251xfd.patch
  * d/copyright: Update copyrights.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 19 Mar 2023 18:56:25 +0200
