=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper-compat (= 12), help2man
+Build-Depends: debhelper-compat (= 13), help2man
 Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: https://salsa.debian.org/debian/can-utils.git
-Vcs-Browser: https://salsa.debian.org/debian/can-utils.git
+Vcs-Browser: https://salsa.debian.org/debian/can-utils
 
 Package: can-utils
 Architecture: linux-any
