=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(HELP2MAN) --no-info --no-discard-stderr --help-option="-?" --version-string="$< $(PACKAGE_VERSION)" ./$< > $@
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	rm -f $(MANPAGES)
